com.streambase.sb

## Class ApplicationValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.streambase.sb.StreamBaseException
      - - com.streambase.sb.operator.TypecheckException
        - - com.streambase.sb.ApplicationValidationException

- All Implemented Interfaces:
    LocatedItem, Serializable
  Direct Known Subclasses:
    ParsingException, SemanticValidationException

      public class ApplicationValidationException
      extends TypecheckException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationValidationException(LocatedItem loc, String msg)`
    `ApplicationValidationException(LocatedItem loc, String msg, Throwable cause)`
    `ApplicationValidationException(LocatedItem loc, Throwable cause)`
    `ApplicationValidationException(String msg, ApplicationValidationException cause)`

  - ### Method Summary

    - ### Methods inherited from class com.streambase.sb.StreamBaseException

      `asXmlStringSingle, asXmlStringStrict, asXmlStringStrict, equals, getParams, hashCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.streambase.sb.util.LocatedItem

      `getLocation`

- - ### Constructor Detail

    - #### ApplicationValidationException

          public ApplicationValidationException(String msg,
                                                ApplicationValidationException cause)

    - #### ApplicationValidationException

          public ApplicationValidationException(LocatedItem loc,
                                                String msg,
                                                Throwable cause)

    - #### ApplicationValidationException

          public ApplicationValidationException(LocatedItem loc,
                                                String msg)

    - #### ApplicationValidationException

          public ApplicationValidationException(LocatedItem loc,
                                                Throwable cause)

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.